import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

public class Borderi extends Component {

	private static final long serialVersionUID = 1L;
	private BufferedImage img;
	
	//set up the img
	public void paint(Graphics g) {
		g.drawImage(img, 0, 0, null);
	}

	//pass a string name
	public Borderi(String file) {
		try {
			//open the image file
			img = ImageIO.read(new File(file));
		} catch (IOException e) {
		}

	}

	//get the size else return a size.
	public Dimension getPreferredSize() {
		if (img == null) {
			return new Dimension(100,100);
		} else {
			return new Dimension(img.getWidth(null), img.getHeight(null));
		}
	}
}