import javax.swing.BorderFactory;
import javax.swing.JPanel;

public class Border {
	JPanel north;
	JPanel south;
	JPanel east;
	JPanel west;
	
	//Each method creates a JPanel and loads an image to put in the JPanel. setBorder(BorderFactory.createEmptyBorder(); 
	//offsets the border gap so it keeps the pictures together, having no gap.
	public JPanel north()
	{
		north = new JPanel();
		north.setOpaque(true);
		north.setBorder(BorderFactory.createEmptyBorder(-5, -5, -5, -5));
		north.add(new Borderi("north.png"));
		return north;
	}
	
	public JPanel south()
	{
		south = new JPanel();
		south.setBorder(BorderFactory.createEmptyBorder(-5, -5, -5, -5));
		south.setOpaque(true);
		south.add(new Borderi("south.png"));
		south.setSize(400, 20);
		return south;
	}
	
	public JPanel east()
	{
		east = new JPanel();
		east.setOpaque(true);
		east.setBorder(BorderFactory.createEmptyBorder(-10, -4, 0, -5));
		east.add(new Borderi("east.jpg"));
		return east;
	}
	
	public JPanel west()
	{
		west = new JPanel();
		west.setOpaque(true);
		west.setBorder(BorderFactory.createEmptyBorder(-10, -5, 0, -5));
		west.add(new Borderi("west.png"));
		return west;
	}
}
