                                             
// sorts applications in the priority queue by their attached priority

import java.util.*;

public class PriorityComparator implements Comparator<Object> {
	
	// take in two objects to compare
	public int compare(Object o1, Object o2) {
		int comparison = -1;
		// if there are two objects to compare
		if ( o1 instanceof Application && o2 instanceof Application) {
			// set application equal to passed in object
			Application a1 = (Application) o1;
			Application a2 = (Application) o2;
			// compare passed in objects with one another
			comparison = a1.getPriority().compareTo(a2.getPriority());
		}
		// return the compare result (less than = -1, equal to = 0, greater than = 1)
		return comparison;
	}
}